@echo off
echo:

rem *******************************************************
rem *       Cygnus GNU-Win32 PTC gui example build        *
rem * --------------------------------------------------- *
rem * Syntax: cygnus[example] (library)                   *
rem *                                                     *
rem * [example]  = example source name                    *
rem * (library)  = "debug" or "release"                   *
rem *                                                     *
rem * note: ignore the "cannot find entry symbol" warning *
rem *******************************************************

if not exist "%1.cpp" goto done




rem ******************
rem * Win32 platform *
rem ******************

if "%2" == "release" goto release

echo Building "%1.cpp" : Cygnus GNU-Win32 debug
echo:
g++ %1.cpp -o %1.exe -Wl,--subsystem,windows ../../lib/win32/cygnus/debug.lib -I../../src -I- -lgdi32 -luser32
goto done

:release
echo Building "%1.cpp" : Cygnus GNU-Win32 release
echo:
g++ %1.cpp -o %1.exe -Wl,--subsystem,windows ../../lib/win32/cygnus/release.lib -I../../src -I- -lgdi32 -luser32 -O2
goto done




:done
echo:
@ECHO OFF
echo:
echo:
